- Max. links per verzoek: 20,000
- Max. URL-lengte: 2,000 characters
- Ondersteunde protocollen:
http://andhttps:// - Kosten: 1 eenheid per link
- Snelheidslimiet: 60 verzoeken per minuut
API-documentatie
Integreer IndexTensor in je applicaties met onze eenvoudige REST API.
Authenticatie
Alle API-verzoeken vereisen Bearer-tokenauthenticatie. Voeg je API-token toe in de Authorization-header:
Authorization: Bearer YOUR_API_TOKEN
Endpoints
Dien links in voor indexering. Links kunnen worden gegeven als puntkomma-gescheiden string of als array.
Request body
// Option 1: Semicolon-separated string
{
"links": "https://example.com/page1;https://example.com/page2"
}
// Option 2: Array of links
{
"links": [
"https://example.com/page1",
"https://example.com/page2"
]
}
Succesrespons (200)
{
"status": 200,
"msg": "Task created successfully",
"data": {
"units_used": 4,
"task_id": "1721392204",
"links_count": 4
}
}
Foutcodes
| Code | Beschrijving |
|---|---|
| 400 | Ongeldige gegevens (malformed JSON, ongeldige URL's) |
| 401 | Ontbrekende of ongeldige Authorization-header |
| 403 | Ongeldige API-token |
| 404 | Endpoint niet gevonden |
| 405 | Onvoldoende saldo |
| 429 | Snelheidslimiet overschreden |
| 500 | Interne serverfout |
Foutresponsformaat
{
"status": 400,
"message": "Task wasn't created: Invalid data provided"
}
Snelheidslimieten en beperkingen
Codevoorbeelden
curl -X POST https://indextensor.com/api/links \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{"links": ["https://example.com/page1", "https://example.com/page2"]}'